package com.hzya.frame.sysnew.pushMessage.entity;

import com.hzya.frame.web.entity.BaseEntity;

public class SysPushMessageEntity extends BaseEntity {
    /**  推送方式 “一次”、“定时” */
    private String pushMethod;
    /**  预警应用编码 */
    private Long warningAppCode;
    /**  预警接口编码 */
    private Long warningApiCode;
    /**  预警应用类型 */
    private String warningAppType;
    /**  发送应用名称 */
    private String sendAppName;
    /**  接收应用名称 */
    private String receiveAppName;
    /**  接收接口名称 */
    private String receiveApiName;
    /**  返回信息 */
    private String returnData;
    /**  接收接口编码 */
    private Long receiveApiCode;
    /**  状态（1、待发送2、发送中3、发送成功4、发送失败） */
    private String status;

    public String getPushMethod() {
        return pushMethod;
    }

    public void setPushMethod(String pushMethod) {
        this.pushMethod = pushMethod;
    }


    public Long getWarningAppCode() {
        return warningAppCode;
    }

    public void setWarningAppCode(Long warningAppCode) {
        this.warningAppCode = warningAppCode;
    }

    public Long getWarningApiCode() {
        return warningApiCode;
    }

    public void setWarningApiCode(Long warningApiCode) {
        this.warningApiCode = warningApiCode;
    }

    public Long getReceiveApiCode() {
        return receiveApiCode;
    }

    public void setReceiveApiCode(Long receiveApiCode) {
        this.receiveApiCode = receiveApiCode;
    }

    public String getWarningAppType() {
        return warningAppType;
    }

    public void setWarningAppType(String warningAppType) {
        this.warningAppType = warningAppType;
    }

    public String getSendAppName() {
        return sendAppName;
    }

    public void setSendAppName(String sendAppName) {
        this.sendAppName = sendAppName;
    }

    public String getReceiveAppName() {
        return receiveAppName;
    }

    public void setReceiveAppName(String receiveAppName) {
        this.receiveAppName = receiveAppName;
    }

    public String getReceiveApiName() {
        return receiveApiName;
    }

    public void setReceiveApiName(String receiveApiName) {
        this.receiveApiName = receiveApiName;
    }

    public String getReturnData() {
        return returnData;
    }

    public void setReturnData(String returnData) {
        this.returnData = returnData;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
